<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
        <groupId>com.tourism</groupId>
        <artifactId>tourism_platform</artifactId>
        <version>1.0.0</version>
	</parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>application-webadmin</artifactId>
    <version>1.0.0</version>
    <name>application-webadmin</name>
    <packaging>jar</packaging>

	<dependencies>
		<!-- 业务组件依赖 -->
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-satoken</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-ext</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-redis</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-mobile</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-report</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-online</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-flow-online</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-log</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-huaweicloud-obs</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-huaweicloud-moderation</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-sequence</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-datafilter</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-swagger</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-dict</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tourism</groupId>
            <artifactId>common-additional</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>javax.annotation</groupId>
            <artifactId>javax.annotation-api</artifactId>
            <version>1.3</version>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>org.dromara.sms4j</groupId>-->
<!--            <artifactId>sms4j-spring-boot-starter</artifactId>-->
<!--            <version>3.3.3</version>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>wx-java-miniapp-spring-boot-starter</artifactId>  <!-- 微信登录（小程序） -->
            <version>4.6.0</version>
        </dependency>

        <dependency>
            <groupId>com.volcengine</groupId>
            <artifactId>volc-sdk-java</artifactId>
            <version>1.0.105</version>
        </dependency>

        <dependency>
            <groupId>com.ibm.icu</groupId>
            <artifactId>icu4j</artifactId>
            <version>69.1</version>
        </dependency>

        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>1.15</version> <!-- 请根据实际情况调整版本号 -->
        </dependency>

        <dependency>
            <groupId>org.jsoup</groupId>
            <artifactId>jsoup</artifactId>
            <version>1.14.3</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-websocket</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-amqp</artifactId>
        </dependency>

        <dependency>
            <groupId>com.github.houbb</groupId>
            <artifactId>sensitive-word</artifactId>
            <version>0.13.1</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <!--        <dependency>-->
<!--            <groupId>com.anji-plus</groupId>-->
<!--            <artifactId>spring-boot-starter-captcha</artifactId>-->
<!--            <version>1.3.0</version>-->
<!--            <scope>compile</scope>-->
<!--        </dependency>-->
        <!-- Spring Boot DevTools -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <scope>runtime</scope>
            <optional>true</optional>
        </dependency>
    </dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring-boot.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
		</plugins>
	</build>
</project>
